public inbox for devel@edk2.groups.io
 help / color / mirror / Atom feed
* [edk2-test][PATCH] SctPkg/build: Add support for GenBin tool build
@ 2018-11-20  6:50 Lokesh B V
  2018-11-23 14:52 ` Lokesh Belathur Veerappa
  2018-11-26 20:17 ` Supreeth Venkatesh
  0 siblings, 2 replies; 3+ messages in thread
From: Lokesh B V @ 2018-11-20  6:50 UTC (permalink / raw)
  To: edk2-devel, supreeth.venkatesh, eric.jin

As the GenBin tool is necessary for SCT build, it is appropriate to
support it's build in the SCT build procedure.

Signed-off-by: Lokesh B V <lokesh.bv@arm.com>
---
 uefi-sct/SctPkg/build.sh | 29 +++++++++++++++++------------
 1 file changed, 17 insertions(+), 12 deletions(-)

diff --git a/uefi-sct/SctPkg/build.sh b/uefi-sct/SctPkg/build.sh
index 73581c9..e070ad5 100755
--- a/uefi-sct/SctPkg/build.sh
+++ b/uefi-sct/SctPkg/build.sh
@@ -228,21 +228,26 @@ else
   echo using prebuilt tools
 fi
 
-# Copy GenBin file to Base tools directory
+if  [[ ! -e $EDK_TOOLS_PATH/Source/C/bin/GenBin ]]
+then
+  # build the GenBin if it doesn't yet exist
+  echo Building GenBin
+  make -C $EDK_TOOLS_PATH/../SctPkg/Tools/Source/GenBin
+  status=$?
+  if test $status -ne 0
+  then
+  echo Error while building GenBin
+    exit -1
+  fi
+else
+  echo using prebuilt GenBin
+fi
+
+# Copy GenBin file to Base tools bin directory
 DEST_DIR=`GetEdkToolsPathBinDirectory`
 # Ensure the directory exist
 mkdir -p $DEST_DIR
-case `uname -m` in 
-	x86_64)
-		cp SctPkg/Tools/Bin/GenBin_lin_64 $DEST_DIR/GenBin
-		;;
-	x86_32)
-		cp SctPkg/Tools/Bin/GenBin_lin_32 $DEST_DIR/GenBin
-		;;
-	*)
-		cp SctPkg/Tools/Bin/GenBin_lin_32 $DEST_DIR/GenBin
-		;;
-esac
+cp $EDK_TOOLS_PATH/Source/C/bin/GenBin $DEST_DIR/GenBin
 
 #
 # Build the SCT package
-- 
2.7.4



^ permalink raw reply related	[flat|nested] 3+ messages in thread

* Re: [edk2-test][PATCH] SctPkg/build: Add support for GenBin tool build
  2018-11-20  6:50 [edk2-test][PATCH] SctPkg/build: Add support for GenBin tool build Lokesh B V
@ 2018-11-23 14:52 ` Lokesh Belathur Veerappa
  2018-11-26 20:17 ` Supreeth Venkatesh
  1 sibling, 0 replies; 3+ messages in thread
From: Lokesh Belathur Veerappa @ 2018-11-23 14:52 UTC (permalink / raw)
  To: edk2-devel@lists.01.org, Supreeth Venkatesh, eric.jin@intel.com

Hello Eric/Supreeth,

Could you please review this patch.

Thanks,
Lokesh

-----Original Message-----
From: Lokesh B V <lokesh.bv@arm.com>
Sent: Tuesday, November 20, 2018 12:21 PM
To: edk2-devel@lists.01.org; Supreeth Venkatesh <Supreeth.Venkatesh@arm.com>; eric.jin@intel.com
Cc: Lokesh Belathur Veerappa <Lokesh.BV@arm.com>
Subject: [edk2-test][PATCH] SctPkg/build: Add support for GenBin tool build

As the GenBin tool is necessary for SCT build, it is appropriate to support it's build in the SCT build procedure.

Signed-off-by: Lokesh B V <lokesh.bv@arm.com>
---
 uefi-sct/SctPkg/build.sh | 29 +++++++++++++++++------------
 1 file changed, 17 insertions(+), 12 deletions(-)

diff --git a/uefi-sct/SctPkg/build.sh b/uefi-sct/SctPkg/build.sh index 73581c9..e070ad5 100755
--- a/uefi-sct/SctPkg/build.sh
+++ b/uefi-sct/SctPkg/build.sh
@@ -228,21 +228,26 @@ else
   echo using prebuilt tools
 fi

-# Copy GenBin file to Base tools directory
+if  [[ ! -e $EDK_TOOLS_PATH/Source/C/bin/GenBin ]] then
+  # build the GenBin if it doesn't yet exist
+  echo Building GenBin
+  make -C $EDK_TOOLS_PATH/../SctPkg/Tools/Source/GenBin
+  status=$?
+  if test $status -ne 0
+  then
+  echo Error while building GenBin
+    exit -1
+  fi
+else
+  echo using prebuilt GenBin
+fi
+
+# Copy GenBin file to Base tools bin directory
 DEST_DIR=`GetEdkToolsPathBinDirectory`
 # Ensure the directory exist
 mkdir -p $DEST_DIR
-case `uname -m` in
-x86_64)
-cp SctPkg/Tools/Bin/GenBin_lin_64 $DEST_DIR/GenBin
-;;
-x86_32)
-cp SctPkg/Tools/Bin/GenBin_lin_32 $DEST_DIR/GenBin
-;;
-*)
-cp SctPkg/Tools/Bin/GenBin_lin_32 $DEST_DIR/GenBin
-;;
-esac
+cp $EDK_TOOLS_PATH/Source/C/bin/GenBin $DEST_DIR/GenBin

 #
 # Build the SCT package
--
2.7.4

IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.


^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [edk2-test][PATCH] SctPkg/build: Add support for GenBin tool build
  2018-11-20  6:50 [edk2-test][PATCH] SctPkg/build: Add support for GenBin tool build Lokesh B V
  2018-11-23 14:52 ` Lokesh Belathur Veerappa
@ 2018-11-26 20:17 ` Supreeth Venkatesh
  1 sibling, 0 replies; 3+ messages in thread
From: Supreeth Venkatesh @ 2018-11-26 20:17 UTC (permalink / raw)
  To: Lokesh Belathur Veerappa, edk2-devel@lists.01.org,
	eric.jin@intel.com

Reviewed-by: Supreeth Venkatesh <Supreeth.Venkatesh@arm.com>

-----Original Message-----
From: Lokesh B V <lokesh.bv@arm.com>
Sent: Tuesday, November 20, 2018 12:51 AM
To: edk2-devel@lists.01.org; Supreeth Venkatesh <Supreeth.Venkatesh@arm.com>; eric.jin@intel.com
Cc: Lokesh Belathur Veerappa <Lokesh.BV@arm.com>
Subject: [edk2-test][PATCH] SctPkg/build: Add support for GenBin tool build

As the GenBin tool is necessary for SCT build, it is appropriate to support it's build in the SCT build procedure.

Signed-off-by: Lokesh B V <lokesh.bv@arm.com>
---
 uefi-sct/SctPkg/build.sh | 29 +++++++++++++++++------------
 1 file changed, 17 insertions(+), 12 deletions(-)

diff --git a/uefi-sct/SctPkg/build.sh b/uefi-sct/SctPkg/build.sh index 73581c9..e070ad5 100755
--- a/uefi-sct/SctPkg/build.sh
+++ b/uefi-sct/SctPkg/build.sh
@@ -228,21 +228,26 @@ else
   echo using prebuilt tools
 fi

-# Copy GenBin file to Base tools directory
+if  [[ ! -e $EDK_TOOLS_PATH/Source/C/bin/GenBin ]] then
+  # build the GenBin if it doesn't yet exist
+  echo Building GenBin
+  make -C $EDK_TOOLS_PATH/../SctPkg/Tools/Source/GenBin
+  status=$?
+  if test $status -ne 0
+  then
+  echo Error while building GenBin
+    exit -1
+  fi
+else
+  echo using prebuilt GenBin
+fi
+
+# Copy GenBin file to Base tools bin directory
 DEST_DIR=`GetEdkToolsPathBinDirectory`
 # Ensure the directory exist
 mkdir -p $DEST_DIR
-case `uname -m` in
-x86_64)
-cp SctPkg/Tools/Bin/GenBin_lin_64 $DEST_DIR/GenBin
-;;
-x86_32)
-cp SctPkg/Tools/Bin/GenBin_lin_32 $DEST_DIR/GenBin
-;;
-*)
-cp SctPkg/Tools/Bin/GenBin_lin_32 $DEST_DIR/GenBin
-;;
-esac
+cp $EDK_TOOLS_PATH/Source/C/bin/GenBin $DEST_DIR/GenBin

 #
 # Build the SCT package
--
2.7.4

IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.


^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2018-11-26 20:17 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-11-20  6:50 [edk2-test][PATCH] SctPkg/build: Add support for GenBin tool build Lokesh B V
2018-11-23 14:52 ` Lokesh Belathur Veerappa
2018-11-26 20:17 ` Supreeth Venkatesh

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox